//  Copyright (C) 2007-2008  CEA/DEN, EDF R&D, OPEN CASCADE
//
//  Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
//  CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//
//  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
//
#ifndef VVTK_VIEWMANAGER_H
#define VVTK_VIEWMANAGER_H

#include "SVTK_ViewManager.h"
#include "VVTK.h"

class SUIT_Desktop;

//! Extend SUIT_ViewManager to deal with VVTK_Viewer
class VVTK_EXPORT VVTK_ViewManager : public SVTK_ViewManager
{
  Q_OBJECT;
public:
  //! Construct the view manager
  VVTK_ViewManager( SUIT_Study* study, SUIT_Desktop* );

  //! Destroy the view manager
  virtual ~VVTK_ViewManager();

protected:
  void setViewName( SUIT_ViewWindow* theView );

private:
  int               myId;
  static  int       _VVTKViewMgr_Id;
};

#endif
